# Generated by Django 5.1.3 on 2024-11-22 07:07

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('appointments', '0004_auto_20211026_0424'),
        ('project_design', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AttributeFilterSet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filters', models.JSONField(default=dict)),
            ],
        ),
        migrations.CreateModel(
            name='ParticipationRequest',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pseudonym', models.CharField(max_length=255, unique=True, verbose_name='Pseudonym')),
                ('status', models.PositiveSmallIntegerField(choices=[(0, 'Pending'), (1, 'Invited')], default=0, verbose_name='Status')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('attribute_filterset', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='participation_requests', to='recruitment.attributefilterset')),
            ],
        ),
        migrations.CreateModel(
            name='Recall',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('appointment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='appointments.appointment')),
                ('participation_request', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recall', to='recruitment.participationrequest')),
            ],
        ),
        migrations.CreateModel(
            name='SubjectGroup',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=126)),
                ('description', models.TextField(blank=True, default='')),
                ('order', models.PositiveSmallIntegerField(blank=True, default=0)),
                ('experiment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='subject_groups', to='project_design.experiment')),
            ],
        ),
        migrations.AddField(
            model_name='attributefilterset',
            name='subject_group',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='attribute_filtersets', to='recruitment.subjectgroup'),
        ),
    ]
